Bug 1767812 (CVE-2019-15139) - CVE-2019-15139 ImageMagick: out-of-bounds read in ReadXWDImage in coders/xwd.c
Summary: CVE-2019-15139 ImageMagick: out-of-bounds read in ReadXWDImage in coders/xwd.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-15139
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1767813 1767814 1770514 1770517 1770518
Blocks: 1767816
TreeView+ depends on / blocked
 
Reported: 2019-11-01 13:17 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-03-31 22:35 UTC (History)
6 users (show)

Fixed In Version: ImageMagick 6.9.10-41, ImageMagick 7.0.8-41
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 22:35:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1180 None None None 2020-03-31 19:33:03 UTC

Description Guilherme de Almeida Suckevicz 2019-11-01 13:17:59 UTC
The XWD image (X Window System window dumping file) parsing component in ImageMagick 7.0.8-41 Q16 allows attackers to cause a denial-of-service (application crash resulting from an out-of-bounds Read) in ReadXWDImage in coders/xwd.c by crafting a corrupted XWD image file, a different vulnerability than CVE-2019-11472.

Reference:
https://github.com/ImageMagick/ImageMagick/issues/1553

Upstream commit:
https://github.com/ImageMagick/ImageMagick/commit/c78993d138bf480ab4652b5a48379d4ff75ba5f7

Comment 1 Guilherme de Almeida Suckevicz 2019-11-01 13:18:14 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-8 [bug 1767814]
Affects: fedora-all [bug 1767813]

Comment 3 Huzaifa S. Sidhpurwala 2019-11-10 06:09:55 UTC
Note about GraphicsMagick:
This issue was addressed via upstream commit: http://hg.code.sf.net/p/graphicsmagick/code/rev/5402c5cbd8bd
This patch is not currently part of any GraphicsMagick release yet.

Comment 4 Huzaifa S. Sidhpurwala 2019-11-10 06:10:44 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: epel-all [bug 1770518]
Affects: fedora-all [bug 1770517]

Comment 6 errata-xmlrpc 2020-03-31 19:33:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1180 https://access.redhat.com/errata/RHSA-2020:1180

Comment 7 Product Security DevOps Team 2020-03-31 22:35:48 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-15139


Note You need to log in before you can comment on or make changes to this bug.